// C Source File
// Created 11/1/00; 8:13:47 PM

#define SAVE_SCREEN  // Save/Restore LCD Contents

#include <nostub.h>  // Make NoStub Program
#include <all.h>     // Include All Header Files

int _ti89;           // Produce .89Z File

int _main()
{
//Variable Declarations Section//
	ti_float x1;
	ti_float x2;
	ti_float y1;
	ti_float y2;
	char buffer[6];
//End Variable Declarations Section//
	
//Start Input Information Section//
	clrscr();
	FontSetSys(F_6x8);
	DrawStr(0,0,"Math - Midpoint",A_NORMAL);
	
	FontSetSys(F_4x6);
	
	printf("\n\nX1: ");
  x1 = atof( gets(buffer) );

 	printf("Y1: ");
	y1 = atof( gets(buffer) );
	
	printf("\nX2: ");
	x2 = atof( gets(buffer) );

	printf("Y2: ");		
	y2 = atof( gets(buffer) );
//End Input Information Section//	

//Start Output Section//
	clrscr();
	FontSetSys(F_6x8);
	DrawStr(0,0,"Math - Midpoint",A_NORMAL);
	
	FontSetSys(F_4x6);
	printf("\n\nMidpoint(x,y) = (%f,%f)",fdiv(fadd(x1,x2),FLT(2)),fdiv(fadd(y1,y2),FLT(2)));
	ngetchx();
//End Output Section//
	
	return 0;
}
