// C Source File
// Created 11/3/00; 7:54:36 PM

#define SAVE_SCREEN  

#include <nostub.h>  
#include <all.h>     

int _ti89;           

void intro()
{
	clrscr();
	FontSetSys(F_6x8);
	DrawStr(0,0,"Math - Slope",A_NORMAL);
	
	FontSetSys(F_4x6);
}

int _main()
{
	//Start Variable Declartion Section//
	ti_float x1;
	ti_float x2;
	ti_float y1;
	ti_float y2;
	ti_float buf;
	ti_float b;
	char buffer[6];
	//End Variable Declaration Section//
	
	//Start Information Retrieval Section//
	intro();
	
	printf("\n\nX1: ");
	x1 = atof( gets(buffer) );
	
	printf("Y1: ");
	y1 = atof( gets(buffer) );
	
	printf("\nX2: ");
	x2 = atof( gets(buffer) );
	
	printf("Y2: ");
	y2 = atof( gets(buffer) );
	//End Information Retrieval Section//
	
	//Start Information Computation/Output Section//
	if( fcmp( x2, x1 ) == 0 )
	{
		intro();
		printf("\n\nUndefined Slope");
		ngetchx();
		return 0;
	}
	else{
		buf = fdiv((fsub(y2,y1)),(fsub(x2,x1)));
		b = fmul(buf,x1);
		b = fsub(b,y1);
		b = fsub(flt(0),b);
	}
		
	intro();
	
	if( fcmp(b,flt(0)) < 0 )
	{
		if( fcmp(buf,flt(0)) == 0 )
		{
			printf("\n\nThe slope is: y = %f",b);
		}
		else{
			printf("\n\nThe slope is: y = %fx - %f",buf,(fsub(flt(0),b)));	
		}
	}
	else{
		if( fcmp(buf,flt(0)) == 0 )
		{
			printf("\n\nThe slope is: y = %f",b);
		}
		else{
			printf("\n\nThe slope is: y = %fx + %f",buf,b);
		}
	}
	ngetchx();		
	//End Information Computation/Output Section//
	
	return 0;
}
